Package fr.gouv.vitam.access.internal.api

# Interface AccessInternalResource

All Known Implementing Classes:
  `AccessInternalResourceImpl`

public interface AccessInternalResource
Access Resource REST API

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `bulkAtomicUpdateUnits(com.fasterxml.jackson.databind.JsonNode query)`
  Bulk Atomic update of archive units with Json request containing multiple atomic update queries
  `jakarta.ws.rs.core.Response`
  `checkAccessRequestStatuses(jakarta.ws.rs.core.HttpHeaders headers, List<AccessRequestReference> accessRequestReferences)`
  `jakarta.ws.rs.core.Response`
  `createObjectAccessRequestIfRequired(jakarta.ws.rs.core.HttpHeaders headers, String idObjectGroup)`
  `jakarta.ws.rs.core.Response`
  `downloadObjectByPersistentIdentifier(String persistentId)`
  `jakarta.ws.rs.core.Response`
  `downloadObjectsByUnitPersistentIdentifier(String persistentIdentifier, String qualifier, Integer version)`
  `jakarta.ws.rs.core.Response`
  `exportByUsageFilter(ExportRequest exportRequest)`
  `jakarta.ws.rs.core.Response`
  `exportDIP(com.fasterxml.jackson.databind.JsonNode dslRequest)`
  `jakarta.ws.rs.core.Response`
  `findDIPByID(String id)`
  `jakarta.ws.rs.core.Response`
  `findTransferSIPByID(String id)`
  `jakarta.ws.rs.core.Response`
  `getAccessLogStreamAsync(jakarta.ws.rs.core.HttpHeaders headers, com.fasterxml.jackson.databind.JsonNode params)`
  gets accesslog file by id as an InputStream
  `jakarta.ws.rs.core.Response`
  `getObjectGroup(String idObjectGroup, com.fasterxml.jackson.databind.JsonNode query)`
  Retrieve an ObjectGroup by its id
  `jakarta.ws.rs.core.Response`
  `getObjects(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  gets objects group with Json query
  `jakarta.ws.rs.core.Response`
  `getObjectsByObjectPersistentIdentifier(String persistentIdentifier, com.fasterxml.jackson.databind.JsonNode selectQuery)`
  `jakarta.ws.rs.core.Response`
  `getObjectStreamAsync(jakarta.ws.rs.core.HttpHeaders headers, String idObjectGroup, String idUnit)`
  Retrieve an Object associated to the given ObjectGroup id based on given (via headers) Qualifier and Version (Async version)
  `jakarta.ws.rs.core.Response`
  `getUnitById(com.fasterxml.jackson.databind.JsonNode dslQuery, String unitId)`
  gets archive units by Id with Json query
  `jakarta.ws.rs.core.Response`
  `getUnits(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  gets archive units with Json query
  `jakarta.ws.rs.core.Response`
  `getUnitsByUnitPersistentIdentifier(String persistentIdentifier, com.fasterxml.jackson.databind.JsonNode selectQuery)`
  `jakarta.ws.rs.core.Response`
  `massUpdateUnits(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  Mass update of archive units with Json query
  `jakarta.ws.rs.core.Response`
  `massUpdateUnitsRules(MassUpdateUnitRuleRequest massUpdateUnitRuleRequest)`
  Mass update of archive units rules
  `jakarta.ws.rs.core.Response`
  `removeAccessRequest(jakarta.ws.rs.core.HttpHeaders headers, AccessRequestReference accessRequestReference)`
  `jakarta.ws.rs.core.Response`
  `revertUpdateUnits(RevertUpdateOptions revertUpdateOptions)`
  gets objects group with Json query Revert an update of archive units
  `jakarta.ws.rs.core.Response`
  `selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  `jakarta.ws.rs.core.Response`
  `startEliminationActionWorkflow(EliminationRequestBody eliminationRequestBody)`
  Starts elimination action workflow.
  `jakarta.ws.rs.core.Response`
  `startEliminationAnalysisWorkflow(EliminationRequestBody eliminationRequestBody)`
  Starts elimination analysis workflow.
  `jakarta.ws.rs.core.Response`
  `startReclassificationWorkflow(com.fasterxml.jackson.databind.JsonNode reclassificationRequest)`
  Starts a reclassification workflow.
  `jakarta.ws.rs.core.Response`
  `streamObjects(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  `jakarta.ws.rs.core.Response`
  `streamUnits(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  `jakarta.ws.rs.core.Response`
  `transferReply(InputStream transferReply)`
  `jakarta.ws.rs.core.Response`
  `updateUnitById(com.fasterxml.jackson.databind.JsonNode dslQuery, String unitId, String requestId)`
  update archive units by Id with Json query

- ## Method Details

  - ### getUnits

    jakarta.ws.rs.core.Response getUnits(com.fasterxml.jackson.databind.JsonNode dslQuery) throws MetaDataDocumentSizeException, MetaDataExecutionException, MetaDataClientServerException
    gets archive units with Json query
    Parameters:
      `dslQuery` - null not allowed
    Returns:
      a archive unit result list
    Throws:
      `MetaDataDocumentSizeException`
      `MetaDataExecutionException`
      `MetaDataClientServerException`

  - ### getUnitsByUnitPersistentIdentifier

    jakarta.ws.rs.core.Response getUnitsByUnitPersistentIdentifier(String persistentIdentifier, com.fasterxml.jackson.databind.JsonNode selectQuery)

  - ### downloadObjectsByUnitPersistentIdentifier

    jakarta.ws.rs.core.Response downloadObjectsByUnitPersistentIdentifier(String persistentIdentifier, String qualifier, Integer version)

  - ### getObjectsByObjectPersistentIdentifier

    jakarta.ws.rs.core.Response getObjectsByObjectPersistentIdentifier(String persistentIdentifier, com.fasterxml.jackson.databind.JsonNode selectQuery)

  - ### downloadObjectByPersistentIdentifier

    jakarta.ws.rs.core.Response downloadObjectByPersistentIdentifier(String persistentId) throws Exception
    Throws:
      `Exception`

  - ### streamUnits

    jakarta.ws.rs.core.Response streamUnits(com.fasterxml.jackson.databind.JsonNode queryDsl)

  - ### streamObjects

    jakarta.ws.rs.core.Response streamObjects(com.fasterxml.jackson.databind.JsonNode queryDsl)

  - ### selectUnitsWithInheritedRules

    jakarta.ws.rs.core.Response selectUnitsWithInheritedRules(com.fasterxml.jackson.databind.JsonNode queryDsl)

  - ### exportDIP

    jakarta.ws.rs.core.Response exportDIP(com.fasterxml.jackson.databind.JsonNode dslRequest)
    Parameters:
      `dslRequest` -
    Returns:

  - ### exportByUsageFilter

    jakarta.ws.rs.core.Response exportByUsageFilter(ExportRequest exportRequest)
    Parameters:
      `exportRequest` -
    Returns:

  - ### findDIPByID

    jakarta.ws.rs.core.Response findDIPByID(String id)
    Parameters:
      `id` - of operation (X-Request-Id)
    Returns:

  - ### findTransferSIPByID

    jakarta.ws.rs.core.Response findTransferSIPByID(String id)
    Parameters:
      `id` - of operation (X-Request-Id)
    Returns:

  - ### startReclassificationWorkflow

    jakarta.ws.rs.core.Response startReclassificationWorkflow(com.fasterxml.jackson.databind.JsonNode reclassificationRequest)
    Starts a reclassification workflow.
    Parameters:
      `reclassificationRequest` - Reclassification request.
    Returns:
      response

  - ### startEliminationAnalysisWorkflow

    jakarta.ws.rs.core.Response startEliminationAnalysisWorkflow(EliminationRequestBody eliminationRequestBody)
    Starts elimination analysis workflow.
    Parameters:
      `eliminationRequestBody` - elimination DSL request
    Returns:
      response

  - ### startEliminationActionWorkflow

    jakarta.ws.rs.core.Response startEliminationActionWorkflow(EliminationRequestBody eliminationRequestBody)
    Starts elimination action workflow.
    Parameters:
      `eliminationRequestBody` - elimination DSL request
    Returns:
      response

  - ### getUnitById

    jakarta.ws.rs.core.Response getUnitById(com.fasterxml.jackson.databind.JsonNode dslQuery, String unitId)
    gets archive units by Id with Json query
    Parameters:
      `dslQuery` - DSL, null not allowed
      `unitId` - units identifier
    Returns:
      a archive unit result list on json format

  - ### updateUnitById

    jakarta.ws.rs.core.Response updateUnitById(com.fasterxml.jackson.databind.JsonNode dslQuery, String unitId, String requestId)
    update archive units by Id with Json query
    Parameters:
      `dslQuery` - DSL, null not allowed
      `unitId` - units identifier
      `requestId` - request identifier
    Returns:
      a archive unit result list

  - ### getObjectGroup

    jakarta.ws.rs.core.Response getObjectGroup(String idObjectGroup, com.fasterxml.jackson.databind.JsonNode query)
    Retrieve an ObjectGroup by its id
    Parameters:
      `idObjectGroup` - the ObjectGroup id
      `query` - the json query
    Returns:
      an http response containing the objectGroup as json or a json serialized error

  - ### getObjectStreamAsync

    jakarta.ws.rs.core.Response getObjectStreamAsync(jakarta.ws.rs.core.HttpHeaders headers, String idObjectGroup, String idUnit)
    Retrieve an Object associated to the given ObjectGroup id based on given (via headers) Qualifier and Version (Async version)
    Parameters:
      `headers` -
      `idObjectGroup` -
    Returns:
      response

  - ### createObjectAccessRequestIfRequired

    jakarta.ws.rs.core.Response createObjectAccessRequestIfRequired(jakarta.ws.rs.core.HttpHeaders headers, String idObjectGroup)

  - ### checkAccessRequestStatuses

    jakarta.ws.rs.core.Response checkAccessRequestStatuses(jakarta.ws.rs.core.HttpHeaders headers, List<AccessRequestReference> accessRequestReferences)

  - ### removeAccessRequest

    jakarta.ws.rs.core.Response removeAccessRequest(jakarta.ws.rs.core.HttpHeaders headers, AccessRequestReference accessRequestReference)

  - ### getAccessLogStreamAsync

    jakarta.ws.rs.core.Response getAccessLogStreamAsync(jakarta.ws.rs.core.HttpHeaders headers, com.fasterxml.jackson.databind.JsonNode params)
    gets accesslog file by id as an InputStream
    Parameters:
      `headers` - request headers
      `params` - given params in order to filter accessLog files
    Returns:

  - ### massUpdateUnits

    jakarta.ws.rs.core.Response massUpdateUnits(com.fasterxml.jackson.databind.JsonNode dslQuery)
    Mass update of archive units with Json query
    Parameters:
      `dslQuery` - DSL, null not allowed
    Returns:
      the response

  - ### massUpdateUnitsRules

    jakarta.ws.rs.core.Response massUpdateUnitsRules(MassUpdateUnitRuleRequest massUpdateUnitRuleRequest)
    Mass update of archive units rules
    Parameters:
      `massUpdateUnitRuleRequest` - wrapper for {DSL, RuleActions}, null not allowed
    Returns:
      the response

  - ### bulkAtomicUpdateUnits

    jakarta.ws.rs.core.Response bulkAtomicUpdateUnits(com.fasterxml.jackson.databind.JsonNode query)
    Bulk Atomic update of archive units with Json request containing multiple atomic update queries
    Parameters:
      `dslQuery` - DSL, null not allowed
    Returns:
      the response

  - ### revertUpdateUnits

    jakarta.ws.rs.core.Response revertUpdateUnits(RevertUpdateOptions revertUpdateOptions)
    gets objects group with Json query Revert an update of archive units
    Parameters:
      `revertUpdateOptions` - wrapper for {DSL, operationId}, null not allowed
    Returns:
      the response

  - ### getObjects

    jakarta.ws.rs.core.Response getObjects(com.fasterxml.jackson.databind.JsonNode dslQuery) throws MetaDataDocumentSizeException, MetaDataExecutionException, MetaDataClientServerException
    gets objects group with Json query
    Parameters:
      `dslQuery` - null not allowed
    Returns:
      a objects group result list
    Throws:
      `MetaDataDocumentSizeException`
      `MetaDataExecutionException`
      `MetaDataClientServerException`

  - ### transferReply

    jakarta.ws.rs.core.Response transferReply(InputStream transferReply)